# Uses of Class
org.apache.qpid.proton.amqp.messaging.AmqpSequence

Packages that use AmqpSequence
Package
Description
org.apache.qpid.proton.codec.messaging

## Uses of AmqpSequence in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return AmqpSequence
Modifier and Type
Method
Description
`AmqpSequence`
AmqpSequenceType.`newInstance(Object described)`
`AmqpSequence`
FastPathAmqpSequenceType.`readValue()`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type AmqpSequence
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<AmqpSequence>>`
FastPathAmqpSequenceType.`getAllEncodings()`
`TypeEncoding<AmqpSequence>`
FastPathAmqpSequenceType.`getCanonicalEncoding()`
`TypeEncoding<AmqpSequence>`
FastPathAmqpSequenceType.`getEncoding(AmqpSequence val)`
`Class<AmqpSequence>`
AmqpSequenceType.`getTypeClass()`
`Class<AmqpSequence>`
FastPathAmqpSequenceType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type AmqpSequence
Modifier and Type
Method
Description
`TypeEncoding<AmqpSequence>`
FastPathAmqpSequenceType.`getEncoding(AmqpSequence val)`
`protected List`
AmqpSequenceType.`wrap(AmqpSequence val)`
`void`
FastPathAmqpSequenceType.`write(AmqpSequence sequence)`